
#include <iostream>

#include "janlex.hpp"
#include "janparse.hpp"

int main()
{
	ANTLR_USING_NAMESPACE(std)
	ANTLR_USING_NAMESPACE(antlr)

	try {
		janlex lexer(std::cin);
		janparse parser(lexer);
		ASTFactory my_factory;
		parser.initializeASTFactory( my_factory );
		parser.setASTFactory( &my_factory );
		parser.program();
	}
	catch( ANTLRException& e )
	{
		cerr << "exception: " << e.getMessage() << endl;
		return -1;
	}
	catch( exception& e )
	{
		cerr << "exception: " << e.what() << endl;
		return -1;
	}
	return 0;
}
